=== debian/changelog ===
opencpn-plugin-weatherfax (1.9002.0-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 13 Aug 2019 13:44:56 -0700

opencpn-plugin-weatherfax (1.9002.0-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 13 Aug 2019 13:38:19 -0700

opencpn-plugin-weatherfax (1.9002.0-0~xenial1) xenial; urgency=low

  * Version 1.9002.0

 -- Dave Register <bdbcat@yahoo.com>  Sat, 11 May 2019 16:31:06 -0400

opencpn-plugin-weatherfax (1.9002.0-0~trusty1) trusty; urgency=low

  * Version 1.9002.0

 -- Dave Register <bdbcat@yahoo.com>  Sat, 11 May 2019 16:31:06 -0400

opencpn-plugin-weatherfax (1.9001.0-0~cosmic1) cosmic; urgency=low

  * Version 1.9001.0

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 21:34:27 -0400

opencpn-plugin-weatherfax (1.9001.0-0~bionic1) bionic; urgency=low

  * Version 1.9001.0

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 21:34:27 -0400

opencpn-plugin-weatherfax (1.9001.0-0~xenial1) xenial; urgency=low

  * Version 1.9001.0

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 21:34:27 -0400

opencpn-plugin-weatherfax (1.9001.0-0~trusty1) trusty; urgency=low

  * Version 1.9001.0

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 21:34:27 -0400

opencpn-plugin-weatherfax (1.8001.0-0~cosmic1) cosmic; urgency=low

  * Version 1.8001.0

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 11:49:25 -0400

opencpn-plugin-weatherfax (1.8001.0-0~bionic1) bionic; urgency=low

  * Version 1.8001.0

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 11:49:25 -0400

opencpn-plugin-weatherfax (1.8001.0-0~xenial1) xenial; urgency=low

  * Version 1.8001.0

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 11:49:25 -0400

opencpn-plugin-weatherfax (1.8001.0-0~trusty1) trusty; urgency=low

  * Version 1.8001.0

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 11:49:25 -0400

opencpn-plugin-weatherfax (1.4.0-0~precise1) precise; urgency=low

  * Version 1.4

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:15:51 -0500

opencpn-plugin-weatherfax (1.4.0-0~trusty1) trusty; urgency=low

  * Version 1.4

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:15:51 -0500

opencpn-plugin-weatherfax (1.4.0-0~utopic1) utopic; urgency=low

  * Version 1.4

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:15:51 -0500

opencpn-plugin-weatherfax (1.4.0-0~vivid1) vivid; urgency=low

  * Version 1.4

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:15:51 -0500

opencpn-plugin-weatherfax (1.4.0-0~wily1) wily; urgency=low

  * Version 1.4

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:15:51 -0500

opencpn-plugin-weatherfax (1.3.1-0~lucid1) lucid; urgency=low

  * Version 1.3 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 11:53:06 -0500

opencpn-plugin-weatherfax (1.3.1-0~precise1) precise; urgency=low

  * Version 1.3 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 11:53:06 -0500

opencpn-plugin-weatherfax (1.3.1-0~trusty1) trusty; urgency=low

  * Version 1.3 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 11:53:06 -0500

opencpn-plugin-weatherfax (1.3.1-0~utopic1) utopic; urgency=low

  * Version 1.3 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 11:53:06 -0500

opencpn-plugin-weatherfax (1.3.1-0~vivid1) vivid; urgency=low

  * Version 1.3 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 11:53:06 -0500

opencpn-plugin-weatherfax (1.3.0-0~lucid1) lucid; urgency=low

  * Version 1.3 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 11:43:12 -0500

opencpn-plugin-weatherfax (1.3.0-0~precise1) precise; urgency=low

  * Version 1.3 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 11:43:12 -0500

opencpn-plugin-weatherfax (1.3.0-0~trusty1) trusty; urgency=low

  * Version 1.3 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 11:43:12 -0500

opencpn-plugin-weatherfax (1.3.0-0~utopic1) utopic; urgency=low

  * Version 1.3 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 11:43:12 -0500

opencpn-plugin-weatherfax (1.3.0-0~vivid1) vivid; urgency=low

  * Version 1.3 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 11:43:12 -0500
